DOI: [10.3289/SW_4_2024](https://doi.org/10.3289/SW_4_2024)

# [Point process tools](https://pointprocesstools-jl-jkling-f7acd93d87170821d5cb4b0df93c1a7c1ea.pages.geomar.de/)

## Authors

José Kling<sup>1,2</sup>,
Mathias Vetter<sup>1</sup>,
Julie Schindlbeck-Belo<sup>2</sup>,
Marion Jegen<sup>2</sup>,
Steffen Kutterolf<sup>2</sup>.

<sup>1</sup>*Christian-Albrechts-Universität zu Kiel, Mathematisches Seminar,
Heinrich-Hecht-Platz 6, 24118 Kiel, Germany*  
<sup>2</sup>*GEOMAR, Helmholtz Centre for Ocean Research Kiel, Wischhofstr.
1-3, 24148 Kiel, Germany*

## Description

This package implements various tools for working with simple, non-marked, one
dimensional point processes. The highlight of this toolbox is the new goodness-of-fit
test developed for parametric models.

Currently four models are supported: Poisson processes, inhomogeneous Poisson
processes, Hawkes processes, and inhomogeneous Hawkes processes. A concise
reference on these processes can be found in the `theory.md` file in the 'Resources' folder.

The most important functionalities provided are:
- Estimation
- Simulation
- Hypothesis testing
- Importing data

All functions needed for the hypothesis testing are also available, such as time
transformations and calculation of the Kolmogorov-Smirnov distance, although not
necessary when analysing data.

Please refer to the [documentation](https://pointprocesstools-jl-jkling-f7acd93d87170821d5cb4b0df93c1a7c1ea.pages.geomar.de/) 
or to the Resources folder to see how to use this package.

## Installation

Simply add this repository.
```julia
using Pkg
Pkg.add("git@git.geomar.de:jkling/pointprocesstools.jl.git")
using PointProcessTools
``` 

## Development

There are some planned changes to generalize and optimize the code. Nevertheless,
if you have suggestion or want to contribute, just get in touch.

I am far from being an expert, so there is room for a lot of improvement.

## License

MIT License
