function Sn = PLestimate(x)
% calculate Kaplan-Meier Product-Limit estimate of survival function

n = length(x);
y = x(1:n-1);
ystar = x(n);
PLE = 1;
yall = [y zeros(n-1,1); ystar 1];
yall = sortrows(yall,1);
for i = 1:n
    if yall(i,2) == 0
        temp = PLE(length(PLE))*(n-i)/(n-i+1);
        PLE = [PLE; temp];
    end
end
Sn = sort([PLE; PLE],'descend'); % empirical PL survival function