# Resources

## Tutorials

There are 2 files in this folder meant as tutorials on the usage of this package.  
- `initializing_data.jl` presents the important data types and how to define them.
- `functionalities.jl` presents the implemented functions and how to use them.
These files are [Pluto notebooks](https://plutojl.org/) and can be used as is to apply the methods to any data. 

## Data

In the `data` folder there are 3 files:
1. `record.csv` -> The Izu-Bonin eruption record used in the paper. Supplementary materials [in this link](https://www.nature.com/articles/s41598-018-22595-0).
2. `proxy.csv` -> The $\delta^{18}O$ record extracted from [Lisiecki's website](https://lorraine-lisiecki.com/).
3. `MIS.csv` -> The Marine Isotope Stages (MIS), also from [Lisiecki's website](https://lorraine-lisiecki.com/).

These files are the ones used in all te analyses performed in the paper.

## Images

A Pluto notebook named `paper_images.jl` is also available.  
The original images for the paper were generated using MATLAB, with the [Point Process Tools](https://git.geomar.de/open-source/point-process-tools) package. In `paper_images.jl`, similar plots are generated using this Julia package.  
Notice that there may be slight differences, as most of images rely on simulations or the bootstrap algorithm, which relies on simulations.

## Theory

The `theory.md` and `theory.pdf` files contain the math behind the algorithms
implemented in this package.  
`tests_comparison.html` contains a comparison between different goodness-of-fit
tests.

